GatewayReceiver (Apache Geode 1.15.4)

org.apache.geode.management.configuration

## Class GatewayReceiver

- java.lang.Object
- - org.apache.geode.management.configuration.AbstractConfiguration<R>
  - - org.apache.geode.management.configuration.GroupableConfiguration<GatewayReceiverInfo>
    - - org.apache.geode.management.configuration.GatewayReceiver

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable

      public class GatewayReceiver
      extends GroupableConfiguration<GatewayReceiverInfo>

  Use this to configure the gateway receiver in the cluster setting the bindAddress and hostname for clients are not supported by this api.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GATEWAY_RECEIVERS_ENDPOINTS` the url end points to retrieve the gateway receivers

    - ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `CLUSTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayReceiver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getEndPort()` get the end port
    `List<ClassName>` | `getGatewayTransportFilters()` get the list of transport filters if you modify the returned list, you will be modifying the list owned by this config object.
    `String` | `getId()` Returns `GroupableConfiguration.getGroup()` or `AbstractConfiguration.CLUSTER` if group is null.
    `Links` | `getLinks()`
    `Integer` | `getMaximumTimeBetweenPings()` get the maximum time between pings in milliseconds, the default is CacheServer.DEFAULT_MAXIMUM_TIME_BETWEEN_PINGS = 60000
    `Integer` | `getSocketBufferSize()` get the socket buffer size for socket buffers from the receiver to the sender.
    `Integer` | `getStartPort()` get the starting port
    `Boolean` | `isManualStart()` is this gateway receiver manually started
    `void` | `setEndPort(Integer endPort)` set the end port
    `void` | `setGatewayTransportFilters(List<ClassName> gatewayTransportFilters)` set the gateway transport filters
    `void` | `setManualStart(Boolean manualStart)` set the manualStart
    `void` | `setMaximumTimeBetweenPings(Integer maximumTimeBetweenPings)` set the maximum time between pings in milliseconds
    `void` | `setSocketBufferSize(Integer socketBufferSize)` set the socket buffer size for socket buffers from the receiver to the sender.
    `void` | `setStartPort(Integer startPort)` set the starting port

    - ### Methods inherited from class org.apache.geode.management.configuration.GroupableConfiguration

      `equals, getGroup, hashCode, setGroup`

    - ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `getCreationCommandType, getGroupName, isCluster, isGlobalRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### GATEWAY_RECEIVERS_ENDPOINTS

          public static final String GATEWAY_RECEIVERS_ENDPOINTS

      the url end points to retrieve the gateway receivers
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GatewayReceiver

          public GatewayReceiver()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns `GroupableConfiguration.getGroup()` or `AbstractConfiguration.CLUSTER` if group is null.
      Specified by:
        `getId` in interface `Identifiable<String>`
      Specified by:
        `getId` in class `AbstractConfiguration<GatewayReceiverInfo>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getLinks

          public Links getLinks()

      Specified by:
        `getLinks` in class `AbstractConfiguration<GatewayReceiverInfo>`

    - #### getGatewayTransportFilters

          public List<ClassName> getGatewayTransportFilters()

      get the list of transport filters if you modify the returned list, you will be modifying the list owned by this config object.
      Returns:
        a list of transport filters

    - #### setGatewayTransportFilters

          public void setGatewayTransportFilters(List<ClassName> gatewayTransportFilters)

      set the gateway transport filters
      Parameters:
        `gatewayTransportFilters` - a list of gateway transport filters

    - #### getStartPort

          public Integer getStartPort()

      get the starting port
      Returns:
        the starting port

    - #### setStartPort

          public void setStartPort(Integer startPort)

      set the starting port
      Parameters:
        `startPort` - the starting port

    - #### getEndPort

          public Integer getEndPort()

      get the end port
      Returns:
        the end port

    - #### setEndPort

          public void setEndPort(Integer endPort)

      set the end port
      Parameters:
        `endPort` - the end port

    - #### getMaximumTimeBetweenPings

          public Integer getMaximumTimeBetweenPings()

      get the maximum time between pings in milliseconds, the default is CacheServer.DEFAULT_MAXIMUM_TIME_BETWEEN_PINGS = 60000
      Returns:
        the maximum time between pings in milliseconds

    - #### setMaximumTimeBetweenPings

          public void setMaximumTimeBetweenPings(Integer maximumTimeBetweenPings)

      set the maximum time between pings in milliseconds
      Parameters:
        `maximumTimeBetweenPings` - the maximum time between pings in milliseconds

    - #### getSocketBufferSize

          public Integer getSocketBufferSize()

      get the socket buffer size for socket buffers from the receiver to the sender. CacheServer.DEFAULT_SOCKET_BUFFER_SIZE = 32768;
      Returns:
        the socket buffer size for socket buffers from the receiver to the sender

    - #### setSocketBufferSize

          public void setSocketBufferSize(Integer socketBufferSize)

      set the socket buffer size for socket buffers from the receiver to the sender.
      Parameters:
        `socketBufferSize` - the socket buffer size for socket buffers from the receiver to the sender

    - #### isManualStart

          public Boolean isManualStart()

      is this gateway receiver manually started
      Returns:
        true if this gateway receiver is manually started

    - #### setManualStart

          public void setManualStart(Boolean manualStart)

      set the manualStart
      Parameters:
        `manualStart` - whether this gateway receiver is manually started